Loading...
Searching...
No Matches
Port data structure for accessing devices

## Files

file | port.h
| Hamlib port data structures.

## Data Structures

struct | hamlib_port
| Port definition. More...
struct | hamlib_port_deprecated

## Typedefs

typedef struct hamlib_port | hamlib_port_t
| Port definition.
typedef struct hamlib_port_deprecated | hamlib_port_t_deprecated
typedef hamlib_port_t_deprecated | port_t_deprecated
typedef hamlib_port_t | port_t
| Short type name of the hamlib_port structure.
#define | HAMLIB_RIGPORT(r)
#define | HAMLIB_PTTPORT(r)
#define | HAMLIB_DCDPORT(r)
#define | HAMLIB_AMPPORT(a)
#define | HAMLIB_ROTPORT(r)
#define | HAMLIB_ROTPORT2(r)

## Detailed Description

## Macro Definition Documentation

## HAMLIB_AMPPORT

#define HAMLIB_AMPPORT | ( |  | a | ) |

Value:
((hamlib_port_t *)amp_data_pointer((a), RIG_PTRX_AMPPORT))
amp_data_pointer
void * amp_data_pointer(AMP *amp, rig_ptrx_t idx)
Get the address of amplifier data structure(s).
Definition amplifier.c:967
hamlib_port_t
struct hamlib_port hamlib_port_t
Port definition.

Macro for application access to hamlib_port_t data for this port type.

## HAMLIB_DCDPORT

#define HAMLIB_DCDPORT | ( |  | r | ) |

Value:
((hamlib_port_t *)rig_data_pointer((r), RIG_PTRX_DCDPORT))
rig_data_pointer
void * rig_data_pointer(RIG *rig, rig_ptrx_t idx)
Get the address of a Hamlib data structure.
Definition rig.c:9116

Macro for application access to hamlib_port_t data for this port type.

## HAMLIB_PTTPORT

#define HAMLIB_PTTPORT | ( |  | r | ) |

Value:
((hamlib_port_t *)rig_data_pointer((r), RIG_PTRX_PTTPORT))

Macro for application access to hamlib_port_t data for this port type.

## HAMLIB_RIGPORT

#define HAMLIB_RIGPORT | ( |  | r | ) |

Value:
((hamlib_port_t *)rig_data_pointer((r), RIG_PTRX_RIGPORT))

Macro for application access to hamlib_port_t data for this port type.

## HAMLIB_ROTPORT

#define HAMLIB_ROTPORT | ( |  | r | ) |

Value:
((hamlib_port_t *)rot_data_pointer((r), RIG_PTRX_ROTPORT))
rot_data_pointer
void * rot_data_pointer(ROT *rot, rig_ptrx_t idx)
Get the address of rotator data structure(s).
Definition rotator.c:1090

Macro for application access to hamlib_port_t data for this port type.

## HAMLIB_ROTPORT2

#define HAMLIB_ROTPORT2 | ( |  | r | ) |

Value:
((hamlib_port_t *)rot_data_pointer((r), RIG_PTRX_ROTPORT2))

Macro for application access to hamlib_port_t data for this port type.

## Typedef Documentation

## hamlib_port_t

typedef struct hamlib_port hamlib_port_t

Port definition.

Of course, looks like OO painstakingly programmed in C, sigh.

Warning
  DO NOT CHANGE THIS STRUCTURE AT ALL UNTIL 5.0. Right now it is static inside the rig structure. 5.0 will change it to a pointer which can then be added to. At that point only add to the end of the structure.

Examples
  /tests/testrig.c.

## hamlib_port_t_deprecated

typedef struct hamlib_port_deprecated hamlib_port_t_deprecated

Deprecated
  This structure will be removed in 5.0 and should not be used in new code.

Warning
  DO NOT CHANGE THIS STRUCTURE AT ALL! Will be removed in 5.0.

## port_t_deprecated

typedef hamlib_port_t_deprecated port_t_deprecated

Deprecated
  Obsolete port type